summaryrefslogtreecommitdiff
path: root/files/plugins/nagios_perf_
diff options
context:
space:
mode:
authormh <mh@immerda.ch>2008-04-24 13:26:14 +0000
committermh <mh@immerda.ch>2008-04-24 13:26:14 +0000
commit20f5f7d8c26c9272ef302606a6d71ef1b943919a (patch)
treefddac14151d5157edc5dd6c1f51f3f82e834479e /files/plugins/nagios_perf_
parent470e23c19625c8aa6e9e68085d284fa8be01bc3e (diff)
merged with puzzle upstream
Diffstat (limited to 'files/plugins/nagios_perf_')
-rwxr-xr-xfiles/plugins/nagios_perf_35
1 files changed, 35 insertions, 0 deletions
diff --git a/files/plugins/nagios_perf_ b/files/plugins/nagios_perf_
new file mode 100755
index 0000000..f819def
--- /dev/null
+++ b/files/plugins/nagios_perf_
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+NAME=$(basename $0)
+
+TYPE=${NAME##nagios_perf_}
+
+[ "x$TYPE" = 'xhosts' ] && TYPE_ABBR=HST
+[ "x$TYPE" = 'xsvc' ] && TYPE_ABBR=SVC
+[ -z "$TYPE_ABBR" ] && echo "unknown type $TYPE" >&2 && exit 1
+
+if [ "$1" = "config" ]; then
+ echo "graph_title Nagios $TYPE performance stats"
+ echo "graph_args --base 1000"
+ echo "graph_vlabel seconds"
+ echo "graph_category nagios"
+ echo "graph_info Check performance statistics"
+
+ echo "act_lat_$TYPE_ABBR.label act lat"
+ echo "act_lat_$TYPE_ABBR.type GAUGE"
+ echo "act_lat_$TYPE_ABBR.draw AREA"
+ echo "act_lat_$TYPE_ABBR.cdef act_lat_$TYPE_ABBR,1000,/"
+ echo "act_lat_$TYPE_ABBR.info average latency of active checks over the last 5 minutes"
+
+ echo "act_ext_$TYPE_ABBR.label act ext"
+ echo "act_ext_$TYPE_ABBR.type GAUGE"
+ echo "act_ext_$TYPE_ABBR.draw LINE1"
+ echo "act_ext_$TYPE_ABBR.cdef act_ext_$TYPE_ABBR,1000,/"
+ echo "act_ext_$TYPE_ABBR.info average execution time of active checks over the last 5 minutes"
+
+ exit 0
+fi
+
+echo "act_lat_$TYPE_ABBR.value " $(nagios2stats --mrtg --data AVGACT${TYPE_ABBR}LAT)
+echo "act_ext_$TYPE_ABBR.value " $(nagios2stats --mrtg --data AVGACT${TYPE_ABBR}EXT)
+